Package org.eigenbase.xom

# Class CommentDef

java.lang.Object
org.eigenbase.xom.TextDef
org.eigenbase.xom.CommentDef

All Implemented Interfaces:
  `NodeDef`

public class CommentDef extends TextDef
todo:

Since:
  11 October, 2001
Version:
  $Id: //open/util/resgen/src/org/eigenbase/xom/CommentDef.java#3 $
Author:
  jhyde

## Field Summary

### Fields inherited from class org.eigenbase.xom.TextDef

`asIs, s`

## Constructor Summary

Constructors
Constructor
Description
`CommentDef()`
`CommentDef(String s)`
`CommentDef(DOMWrapper _def)`

## Method Summary

Modifier and Type
Method
Description
`void`
`display(PrintWriter pw, int indent)`
Outputs this node to any PrintWriter, in a formatted fashion with automatic indenting.
`void`
`displayXML(XMLOutput out, int indent)`
Outputs this element definition in XML to any XMLOutput.
`int`
`getType()`
Returns the type of this element.

### Methods inherited from class org.eigenbase.xom.TextDef

`getChildren, getLocation, getName, getText, getWrapper`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommentDef

public CommentDef()

### CommentDef

public CommentDef(String s)

### CommentDef

public CommentDef(DOMWrapper _def) throws XOMException

Throws:
  `XOMException`

## Method Details

### getType

public int getType()
Description copied from interface: `NodeDef`
Returns the type of this element. Values are as for `DOMWrapper.getType()`.

Specified by:
  `getType` in interface `NodeDef`
Overrides:
  `getType` in class `TextDef`

### display

public void display(PrintWriter pw, int indent)
Description copied from interface: `NodeDef`
Outputs this node to any PrintWriter, in a formatted fashion with automatic indenting.

Specified by:
  `display` in interface `NodeDef`
Overrides:
  `display` in class `TextDef`
Parameters:
  `pw` - the PrintWriter to which to write this NodeDef.
  `indent` - the indentation level for the printout.

### displayXML

public void displayXML(XMLOutput out, int indent)
Description copied from interface: `NodeDef`
Outputs this element definition in XML to any XMLOutput.

Specified by:
  `displayXML` in interface `NodeDef`
Overrides:
  `displayXML` in class `TextDef`
Parameters:
  `out` - the XMLOutput class to display the XML